
function toast(mensagem, cor){ 
	if(cor == 'verde'){
		cor = '#24c76a';
	} 

	if(cor == 'vermelha'){
		cor = '#d4483b';
	}

	if(cor == ''){
		cor = '#4a4949';
	}

	Toastify({
		text: mensagem,
		duration: 3000,
		destination: "https://github.com/apvarun/toastify-js",
		newWindow: true,
		close: true,
          gravity: "top", // `top` or `bottom`
          position: "center", // `left`, `center` or `right`
          stopOnFocus: true, // Prevents dismissing of toast on hover
          style: {
            background: cor, //verde #24c76a    vermelha #d4483b
        },
          onClick: function(){} // Callback after click
      }).showToast();
}



$("#form").submit(function () {

	event.preventDefault();
	var formData = new FormData(this);


	$('#btn_salvar').hide();
	$('#img_loader').show();

	$.ajax({
		url: 'paginas/' + pag + "/salvar.php",
		type: 'POST',
		data: formData,

		success: function (mensagem) {
			$('#mensagem').text('');
			$('#mensagem').removeClass()
			if (mensagem.trim() == "Salvo com Sucesso") {

				//$('#btn-fechar').click();
				location.reload();                      

			} else {

				$('#mensagem').addClass('text-danger')
				toast(mensagem, 'vermelha');
			}


			$('#img_loader').hide();
			$('#btn_salvar').show();

		},

		cache: false,
		contentType: false,
		processData: false,

	});

});




function excluir(){  
    var id =  $('#id_excluir').val();    
    $('#mensagem-excluir').text('Excluindo...')
    
    $.ajax({
        url: 'paginas/' + pag + "/excluir.php",
        method: 'POST',
        data: {id},
        dataType: "html",

        success:function(mensagem){
            if (mensagem.trim() == "Excluído com Sucesso") {                
                location.reload();
            } else {
                toast(mensagem, 'vermelha');
            }
        }
    });
}




function limparFiltro() {
	$('#listar li').show();
}
function filtrar() {
	var termo = $('#buscar').val().toUpperCase();
	$('#listar li').each(function() { 
		if($(this).html().toUpperCase().indexOf(termo) === -1) {
			$(this).hide();
		}
	});
}



function ativar(id, acao){  
    $.ajax({
        url: 'paginas/' + pag + "/mudar-status.php",
        method: 'POST',
        data: {id, acao},
        dataType: "html",

        success:function(mensagem){
            if (mensagem.trim() == "Alterado com Sucesso") {
                location.reload();
            } else {
                toast(mensagem, 'vermelha');
            }
        }
    });
}